# Solr Health Check

This module provides a `GET` endpoint to check the health of all Solr cores associated with a Drupal site.

Example output:

```json
{
  "default_solr_content_index": {
    "status": "up",
    "response_time": 0.00371985299682617
  }
}
```

## Installation

1. Install the module as you would normally install a contributed Drupal module. See: [Installing contributed modules (Drupal 10)](https://www.drupal.org/docs/extending-drupal/installing-contributed-modules).
2. Enable the module at `/admin/modules` or with `drush en solr_health_check`.

## Usage

Access the endpoint at `/solr-health-check` to get the status of all Solr cores.

## Credits

Developed by [Demonz Media](https://demonzmedia.com).
